Bug 1385714 (CVE-2016-5554) - CVE-2016-5554 OpenJDK: insufficient classloader consistency checks in ClassLoaderWithRepository (JMX, 8157739)
Summary: CVE-2016-5554 OpenJDK: insufficient classloader consistency checks in ClassLo...
Status: CLOSED ERRATA
Alias: CVE-2016-5554
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161018,repor...
Keywords: Security
Depends On:
Blocks: 1381992
TreeView+ depends on / blocked
 
Reported: 2016-10-17 14:49 UTC by Tomas Hoger
Modified: 2019-06-08 21:31 UTC (History)
5 users (show)

(edit)
A flaw was found in the way the JMX component of OpenJDK handled classloaders. An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions.
Clone Of:
(edit)
Last Closed: 2017-01-13 08:12:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2079 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-10-19 18:58:57 UTC
Red Hat Product Errata RHSA-2016:2088 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 22:30:51 UTC
Red Hat Product Errata RHSA-2016:2089 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-14 22:42:23 UTC
Red Hat Product Errata RHSA-2016:2090 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-14 20:03:08 UTC
Red Hat Product Errata RHSA-2016:2136 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2016-11-02 15:06:24 UTC
Red Hat Product Errata RHSA-2016:2137 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2016-11-02 15:05:59 UTC
Red Hat Product Errata RHSA-2016:2138 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2016-11-02 15:05:40 UTC
Red Hat Product Errata RHSA-2016:2658 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2016-11-07 18:27:12 UTC
Red Hat Product Errata RHSA-2016:2659 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2016-11-07 14:05:44 UTC
Red Hat Product Errata RHSA-2017:0061 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2017-01-13 05:00:28 UTC
Red Hat Product Errata RHSA-2017:1216 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-09 20:41:26 UTC

Description Tomas Hoger 2016-10-17 14:49:08 UTC
It was discovered that the ClassLoaderWithRepository class in the JMX component of OpenJDK did not sufficiently perform classloader consistency checks, allowing classloader to return class with different name than requested.  An untrusted Java application or applet could use this flaw to bypass certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2016-10-18 20:10:15 UTC
Public now via Oracle CPU October 2016, fixed in Oracle JDK 8u111, 7u121, and 6u131.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2016-2881722.html#AppendixJAVA

Comment 2 Tomas Hoger 2016-10-19 08:05:44 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/588df0398c57

Comment 3 errata-xmlrpc 2016-10-19 15:19:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:2079 https://rhn.redhat.com/errata/RHSA-2016-2079.html

Comment 4 errata-xmlrpc 2016-10-20 12:38:43 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:2088 https://rhn.redhat.com/errata/RHSA-2016-2088.html

Comment 5 errata-xmlrpc 2016-10-20 12:49:27 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:2090 https://rhn.redhat.com/errata/RHSA-2016-2090.html

Comment 6 errata-xmlrpc 2016-10-20 12:50:27 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:2089 https://rhn.redhat.com/errata/RHSA-2016-2089.html

Comment 7 errata-xmlrpc 2016-11-02 18:21:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2016:2138 https://rhn.redhat.com/errata/RHSA-2016-2138.html

Comment 8 errata-xmlrpc 2016-11-02 18:21:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2016:2137 https://rhn.redhat.com/errata/RHSA-2016-2137.html

Comment 9 errata-xmlrpc 2016-11-02 18:22:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2016:2136 https://rhn.redhat.com/errata/RHSA-2016-2136.html

Comment 10 errata-xmlrpc 2016-11-07 09:06:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2016:2659 https://rhn.redhat.com/errata/RHSA-2016-2659.html

Comment 11 errata-xmlrpc 2016-11-07 13:28:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2016:2658 https://rhn.redhat.com/errata/RHSA-2016-2658.html

Comment 12 errata-xmlrpc 2017-01-13 00:01:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2017:0061 https://rhn.redhat.com/errata/RHSA-2017-0061.html

Comment 13 errata-xmlrpc 2017-05-09 16:45:48 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2017:1216 https://access.redhat.com/errata/RHSA-2017:1216


Note You need to log in before you can comment on or make changes to this bug.